import { FeatureSystem } from '../../core/feature-system';
import { FactionEntity } from '../../entities/faction.entity';

export class FactionSystem extends FeatureSystem {
    getFactionFromId(_id: number): FactionEntity | null { return null; }
    async loadFaction(_factionId: number): Promise<void> {}
    async removeMember(_player: PlayerMpLoggedIn): Promise<void> {}
}

export const factionSystem = new FactionSystem();
